Get feature
One feature with its description, status, owner, parent and the number of linked insights.
GET https://cotlet.dev/api/v1/productboard/features/{feature_id}
read
Returns one feature or subfeature: name, description, status, owner, parent and how many insights are linked to it. Use list_feature_insights for the insights themselves.
Parameters
| Name | Type | Description |
|---|---|---|
| feature_id string required | string | Feature ID from search_features. |
Request
curl https://cotlet.dev/api/v1/productboard/features/feature_8c41d2 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("productboard", "get_feature", {"feature_id":"feature_8c41d2"}) const result = await cotlet.call('productboard', 'get_feature', {"feature_id":"feature_8c41d2"}); cotlet call productboard get_feature --data '{"feature_id":"feature_8c41d2"}' Example response
{
"id": "ft_4d7e10",
"name": "CSV export",
"description": "Export any report to CSV from the reports page.",
"status": "Delivery",
"owner": "Lena Brandt",
"parent": "Reporting",
"insights": 6
}